Bug 74230 - Emacs 21.2 menu should fontset enabled.
Emacs 21.2 menu should fontset enabled.
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-18 06:54 EDT by Nakai
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 10:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fontset patch for emacs menu (17.31 KB, patch)
2002-09-18 06:56 EDT, Nakai
no flags Details | Diff
Resource search path order fix (ex. ja_JP.eucJP -> ja_JP -> ja) (4.52 KB, patch)
2002-10-18 07:22 EDT, Nakai
no flags Details | Diff
Japanese Resource file for Emacs21.2 (499 bytes, text/plain)
2002-10-18 07:24 EDT, Nakai
no flags Details
/usr/share/emacs/site-lisp/lang/lang-ja.el update (22.23 KB, application/octet-stream)
2002-10-18 07:25 EDT, Nakai
no flags Details

  None (edit)
Description Nakai 2002-09-18 06:54:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.0.1) Gecko/20020830

Description of problem:
Emacs 21.2 has a framework to localize menu, but menu is not
fontset available yet, so CJK will broken at localized.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run Emacs 21.2 in Japanese locale.
2. Menus gets scrambled.
3. .....
	

Actual Results:  Menu gets scrambled.

Expected Results:  Menu should support fontset.

Additional info:

This patch has codes that will not affect other langugage
environment as much as possible.
Comment 1 Nakai 2002-09-18 06:56:25 EDT
Created attachment 76484 [details]
fontset patch for emacs menu
Comment 2 Nakai 2002-10-18 07:22:27 EDT
Created attachment 80924 [details]
Resource search path order fix (ex. ja_JP.eucJP -> ja_JP -> ja)
Comment 3 Nakai 2002-10-18 07:24:01 EDT
Created attachment 80925 [details]
Japanese Resource file for Emacs21.2
Comment 4 Nakai 2002-10-18 07:25:10 EDT
Created attachment 80926 [details]
/usr/share/emacs/site-lisp/lang/lang-ja.el update
Comment 5 Nakai 2002-10-18 07:27:41 EDT
Above Japanese Emacs resource should be at
/usr/X11R6/lib/X11/ja/app-defaults/Emacs
Comment 6 Nakai 2003-01-17 05:07:11 EST
Those patch will make C-x 5 2 broken.
So hold on.
Comment 7 Jens Petersen 2004-04-15 10:41:22 EDT
This will probably be much easier when we have gtk2 based Emacs.
Deferring it for now: perhaps it can be revisited at that time.

Note You need to log in before you can comment on or make changes to this bug.